from pydantic import BaseModel, Field

class MarketHours(BaseModel):
    exchange: str = Field(..., description="The identifier code for the exchange")
    name: str = Field(..., description="The full name of the exchange")
    openingHour: str = Field(..., description="The time when trading begins on the exchange")
    closingHour: str = Field(..., description="The time when trading ends on the exchange")
    timezone: str = Field(..., description="The timezone in which the opening and closing hours are specified")
    isMarketOpen: bool = Field(..., description="Indicates whether the market is currently open for trading")